import { Injectable } from '@nestjs/common';
import { PreOrder } from './pre-order.entity';
import { v4 as uuidv4 } from 'uuid';

@Injectable()
export class PreOrdersService {
  private preOrders: PreOrder[] = [];

  create(preOrder: PreOrder) {
    const id = uuidv4();
    const newPreOrder = {
      ...preOrder,
      id,
    };
    this.preOrders.push(newPreOrder);
    return Promise.resolve(newPreOrder);
  }

  async getPreOrder(preOrderId: string) {
    return Promise.resolve(
      this.preOrders.find((preOrder) => preOrder.id == preOrderId),
    );
  }

  delete(preOrderId: string) {
    this.preOrders = this.preOrders.filter(
      (preOrder) => preOrder.id != preOrderId,
    );
    return Promise.resolve(this.preOrders);
  }
}
