import { Module, forwardRef } from '@nestjs/common';
import { ProductsService } from './products.service';
import { ProductsController } from './products.controller';
import { StripeModule } from 'src/modules/stripe/stripe.module';
import { OrdersModule } from '../orders/orders.module';

@Module({
  imports: [forwardRef(() => StripeModule), forwardRef(() => OrdersModule)],
  controllers: [ProductsController],
  providers: [ProductsService],
  exports: [ProductsService],
})
export class ProductsModule {}
