import { forwardRef, Module } from '@nestjs/common';
import { StripeController } from './stripe.controller';
import { StripeService } from './stripe.service';
import { PaymentIntentsService } from './payment-intents.service';
import { OrdersModule } from '../orders/orders.module';

@Module({
  imports: [forwardRef(() => OrdersModule)],
  controllers: [StripeController],
  providers: [PaymentIntentsService, StripeService],
  exports: [StripeService],
})
export class StripeModule {}
