import { Module, forwardRef } from '@nestjs/common';
import { OrdersService } from './orders.service';
import { OrdersController } from './orders.controller';
import { ProductsModule } from '../products/products.module';
import { PreOrdersService } from './pre-orders.service';

@Module({
  imports: [forwardRef(() => ProductsModule)],
  controllers: [OrdersController],
  providers: [OrdersService, PreOrdersService],
  exports: [OrdersService, PreOrdersService],
})
export class OrdersModule {}
