import { Injectable } from '@nestjs/common';
import { Product } from './product.entity';

@Injectable()
export class ProductsService {
  private products: Product[] = [
    {
      id: 1,
      title:
        'COSORI Air Fryer 5 Qt, Max 450F for Juicy Meat, Veggies, Frozen Food, Glass Touch Panel, 130+ In-App Recipes, Little to No Oil, Compact for Small Family, Non-Stick Basket for Easy Clean, Gray',
      description:
        'Designed for cooking novices or those new to air fryer with 9 professional presets Chicken, Fries, Frozen, Steak, Seafood, Veggies, Bacon',
      price: 100,
      imageUrl: 'https://i.ibb.co/VDGvP3Z/product-1.jpg',
    },
    {
      id: 2,
      title:
        'Legend 3 Ply Stainless Steel Cookware Set - 10-Piece, Full Clad, Induction, Non-Toxic, Oven Safe, Best 18/0 Professional Pots and Pans, Premium Kitchen Cooking, Chef Quality - PFOA, PTFE & PFOS Free',
      description:
        'Every Legend stainless steel cooking set is built to last a lifetime. Designed from the inside out, this high quality pots and pans set is perfect for novices serious about home cooking. The 3 layers are chosen for safe & clean cooking, even heating, and cooking versatility. Each piece is carefully assembled and the handles firmly riveted on, making them ideal for moving soups, stews, roasts, braises, and other heavy dishes around your stovetop.',
      price: 230,
      imageUrl: 'https://i.ibb.co/rGP7WMr/product-2.jpg',
    },
    {
      id: 3,
      title:
        'Etekcity Food Kitchen Scale, Digital Grams and Ounces for Weight Loss, Baking, Cooking, Keto and Meal Prep, LCD Display, Medium, 304 Stainless Steel',
      description:
        'Simple & Compact: The small and sleek scale is a perfect fit for most kitchens, occupying little space and easily storable in cabinets',
      price: 15,
      imageUrl: 'https://i.ibb.co/BwqWCPx/product-3.jpg',
    },
    {
      id: 4,
      title:
        'Dish Drying Rack - Expandable Dish Rack for Kitchen Counter, Stainless Steel Dish Drainer with Drainboard Set and Utensil Holder, Sink Drying Dish Strainer Rack (Black)',
      description:
        'Efficient Drainage: With an angled drip tray and a large water outlet, our dish drying rack will drains the water into the sink directly, not onto the counter, effectively avoiding sitting water and maintaining a leak-free, tidy kitchen counter.',
      price: 35,
      imageUrl: 'https://i.ibb.co/vs8PRW7/product-4.jpg',
    },
    {
      id: 5,
      title: 'Calphalon® Hard-Anodized Nonstick 10-Piece Cookware Set',
      description:
        'Dishwasher-Safe: For effortless cleanup, sauté pan and lid are dishwasher safe.',
      price: 255,
      imageUrl: 'https://i.ibb.co/T8ZqKHp/product-5.jpg',
    },
  ];

  getIds(ids: string) {
    let idsAr = [];
    if (ids) {
      if (ids.includes(',')) {
        idsAr = ids.split(',').map((t) => +t.trim());
      } else {
        idsAr = [+ids.trim()];
      }
    }
    return idsAr;
  }

  getAll() {
    return Promise.resolve(this.products);
  }

  getProductById(id: number) {
    return Promise.resolve(this.products.find((product) => product.id == id));
  }

  getProducts(ids: number[]) {
    return Promise.resolve(
      this.products.filter((product) => ids.includes(product.id)),
    );
  }
}
